// Ad control, make things more robust, non-scrolling
var embeddedAds = new function()
{
    // Fake a console to prevent script crashes within AIR.
    if (!window.console) 
    {
        window.console = {log: log,
            info: function(msg) {log(msg, "info")},
            warn: function(msg) {log(msg, "warn")},
            error: function(msg) {log(msg, "error")}};
    }

    // Disable scrolling for the page.
    var body = document.getElementsByTagName("body")[0];
    body.addEventListener("touchmove", swallowEvent, false);

    function swallowEvent(event)
    {
        event.preventDefault();
        event.stopPropagation();
    }

    function log(msg, kind)
    {
      // Just ignore ad page tracing for now.
//      // No console, fake it via a background error.
//      if (kind) msg = kind + ": " + msg;
//      setTimeout(function() {throw msg}, 0);
    }
}